Bug 1265484 - Review Request: google-roboto-slab-fonts - Google Roboto Slab fonts
Review Request: google-roboto-slab-fonts - Google Roboto Slab fonts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 00:55 EDT by Parag Nemade
Modified: 2015-11-14 15:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 14:15:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2015-09-23 00:55:57 EDT
Spec URL: http://pnemade.fedorapeople.org/fedora-work/google-roboto-slab-fonts.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/google-roboto-slab-fonts-1.100263-0.1.20150923.fc23.src.rpm

Description:
Roboto has a dual nature. It has a mechanical skeleton and the forms are
largely geometric. At the same time, the font features friendly and open
curves. While some grotesks distort their letterforms to force a rigid
rhythm, Roboto doesn't compromise, allowing letters to be settled into
their natural width. This makes for a more natural reading rhythm more
commonly found in humanist and serif types.

This is the Roboto Slab family, which can be used alongside the normal
Roboto family and the Roboto Condensed family.
Comment 1 Parag Nemade 2015-09-23 00:56:01 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=11189745
Comment 2 Christopher Meng 2015-09-23 02:30:04 EDT
1. %doc COPYRIGHT.txt

%license instead.

2. Please validate the appdata file.
Comment 3 Parag Nemade 2015-09-23 03:24:47 EDT
1) ah right. I just picked the template from one of local spec on my system.

2) added <p> </p> one more time to fix validation of appstream metainfo file.

Spec URL: http://pnemade.fedorapeople.org/fedora-work/google-roboto-slab-fonts.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/google-roboto-slab-fonts-1.100263-0.2.20150923.fc23.src.rpm
Comment 4 David Tardon 2015-09-23 04:03:11 EDT
If you want to download files directly from a git repo, please include the tree SHA in the download path, e.g., https://github.com/google/fonts/blob/90abd17b4f97671435798b6147b698aa9087612f/apache/robotoslab/RobotoSlab-Bold.ttf .
Comment 6 Christopher Meng 2015-09-23 09:11:04 EDT
PACKAGE APPROVED.

------------------------------------------------------
If you use git snapshot, better mention 'git' in version.
Comment 7 Parag Nemade 2015-09-23 10:05:00 EDT
Hey Christopher, Thank you for your quick review. I will add git suffix to release tag before import.

Can you also have a look at other font package review bug 1265636.

New Package SCM Request
=======================
Package Name: oogle-roboto-slab-fonts
Short Description: Google Roboto Slab fonts
Upstream URL: https://www.google.com/fonts/specimen/Roboto+Slab
Owners: pnemade
Branches: f21 f22 f23 epel7
InitialCC: fonts-sig i18n-team
Comment 8 Parag Nemade 2015-09-23 11:31:09 EDT
Ah I misspelled package name. Correcting here.

New Package SCM Request
=======================
Package Name: google-roboto-slab-fonts
Short Description: Google Roboto Slab fonts
Upstream URL: https://www.google.com/fonts/specimen/Roboto+Slab
Owners: pnemade
Branches: f21 f22 f23 epel7
InitialCC: fonts-sig i18n-team
Comment 9 Gwyn Ciesla 2015-09-23 11:37:34 EDT
Git done (by process-git-requests).

Fixed package name.
Comment 10 Fedora Update System 2015-09-23 12:07:32 EDT
google-roboto-slab-fonts-1.100263-0.3.20150923git.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16528
Comment 11 Fedora Update System 2015-09-23 12:16:18 EDT
google-roboto-slab-fonts-1.100263-0.3.20150923git.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16532
Comment 12 Fedora Update System 2015-09-23 12:16:28 EDT
google-roboto-slab-fonts-1.100263-0.3.20150923git.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8210
Comment 13 Fedora Update System 2015-09-23 12:19:01 EDT
google-roboto-slab-fonts-1.100263-0.3.20150923git.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16533
Comment 14 Fedora Update System 2015-09-23 23:31:51 EDT
google-roboto-slab-fonts-1.100263-0.3.20150923git.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update google-roboto-slab-fonts'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16528
Comment 15 Fedora Update System 2015-09-24 05:53:14 EDT
google-roboto-slab-fonts-1.100263-0.3.20150923git.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update google-roboto-slab-fonts'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16533
Comment 16 Fedora Update System 2015-09-24 20:20:49 EDT
google-roboto-slab-fonts-1.100263-0.3.20150923git.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update google-roboto-slab-fonts'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8210
Comment 17 Fedora Update System 2015-09-25 17:21:16 EDT
google-roboto-slab-fonts-1.100263-0.3.20150923git.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update google-roboto-slab-fonts'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16532
Comment 18 Fedora Update System 2015-10-05 14:15:10 EDT
google-roboto-slab-fonts-1.100263-0.3.20150923git.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-10-05 17:54:16 EDT
google-roboto-slab-fonts-1.100263-0.3.20150923git.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2015-10-05 18:50:09 EDT
google-roboto-slab-fonts-1.100263-0.3.20150923git.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2015-11-14 15:23:15 EST
google-roboto-slab-fonts-1.100263-0.3.20150923git.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.